System.Web 2.0.0.0 System.Configuration.Provider.ProviderCollection

The role providers for an application are exposed as a read-only by the property of the class. You can access a specific role provider in the collection by name and cast it as the specific provider type, such as . This enables you to manage role information from multiple data stores in a single application as well as access custom members of a role provider that are not part of the abstract class.

A collection of objects that inherit the abstract class.

- Constructor

  This constructor is not intended to be used from your code.

  Creates a new, empty role-provider collection.

  2.0.0.0
- Method
  System.Void ``

  This constructor is not intended to be used from your code.

  Adds a role provider to the collection.

  The role provider to add to the collection. 2.0.0.0
- Method
  System.Void `` ``

  This method uses to copy role provider objects to the specified array.

  Copies the role provider collection to a one-dimensional array.

  A one-dimensional that is the destination of the elements copied from the . The array must have zero-based indexing. The zero-based index in at which copying begins. 2.0.0.0
- Property
  System.Web.Security.RoleProvider `` To be added. To be added. To be added. To be added. 2.0.0.0